{ config, pkgs, inputs, lib, ... }: {

  # Let Home Manager install and manage itself.
  programs.home-manager.enable = true;

  imports = [
    ../modules/home-manager/bundle.nix
  ];

  home = {
    username = "buliway";
    homeDirectory = "/home/buliway";

    # Если с каким-то софтом будут проблемы, то можно перенести из "packages.nix" сюда
    # Например, я читал, что если ставить vscode через configuration.nix, а не через пакеты юзера,
    # то не получится ставить расширения. Потому что там софт ставится от рута и vscode
    # будет пытаться установить расширения в каталог nix store, куда нельзя что либо ставить без рута.
    packages = with pkgs; [
      vscode # Мб надо в home.packages писать, чтоб расширения ставились без рута
      jetbrains-toolbox # Мб надо через home.packages писать
    ];

    sessionVariables = {
      EDITOR = "nvim";
      # VISUAL = "nvim";
      BROWSER = "librewolf";
      TERMINAL = "alacritty";
      TERM = "alacritty";
      QT_QPA_PLATFORMTHEME = "qt6ct";
      # QT_STYLE_OVERRIDE = "kvantum";
    };

    stateVersion = "24.05"; # Don't change it
  };

  gtk = lib.mkIf (pkgs.stdenv.hostPlatform.isLinux) {
    # enable = true;
    iconTheme = {
      name = "Gruvbox-Plus-Dark"; # Имя каталога в /usr/share/icons/
      package = pkgs.gruvbox-plus-icons; # Пакет иконок
    };
  };

  stylix = { # Выключить стили у конкретного таргета походу можно лишь в home-manager
    targets = {
      vscode.enable = false; # Руками ставлю. Не нравится stylix вариант
      firefox.enable = false; # Руками ставлю и бекаплю каталог браузера
      # lightdm.enable = false; # Не хочу обои в lightdm (в сурсе есть настройка, но не билдит, мать ебал)
    };
  };

  ##############################################
  ## Ниже включаю проги для Stylix            ##
  ## Ебаные дауны могут редачить grub,        ##
  ## но не могут редачить ебаный обычный софт ##
  ##############################################

  # programs = {
  #   btop.enable = true;
  # };
}
